<!doctype html>
<html lang="en">
  <!--
    EESTEC email signature generator

    This generator creates standard, customizable signatures for EESTECers on 
    international level (BATCAMs) and on local level. For this, it uses a template
    with placeholders, whose HTML code is in an invisible textfield at the end of this 
    document.

    The HTML code of the signature itself has been optimized for consistent 
    rendering across different email clients, following this guide: 
    https://litmus.com/community/learning/13-foundations-email-coding-101
    Note that coding for emails is different from coding for the web, because email
    clients only support a subset of HTML and CSS properties (and no javascript) 
    and many clients have different rendering engines. If you attempt to edit the 
    template, be aware of this. For testing it is recommended to use the tools "Litmus"
    or "Email On Acid" (free trails available), which can provide screenshots of how it 
    will look like on all kinds of email clients.

    Design of Signature: Kerim Redzepagic, EESTEC Design Team
    Signature Code & Generator: Peter Wern, EESTEC Design Team

    Versions
    - 1.0: initial release on standalone webpage, July 2020
    - 1.1: customizable contact information and social media & custom templates by using link with data in querry & bugfixes, July 2020
    
    ToDo's:
    - Minimize resulting HTML code before displaying it (but keep decscription comment)
    - Integrating it properly on eestec.net ofc
-->

  <head>
    <meta charset="utf-8" />

    <title>EESTEC Signature Generator</title>
    <meta charset="UTF-8" />
    <meta
      name="description"
      content="Generator for standard, customizable signatures for EESTECers"
    />
    <meta name="author" content="EESTEC Design Team" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />

    <link
      href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap"
      rel="stylesheet"
    />

    <link href="style.css" rel="stylesheet" />

    <script type="text/javascript" src="generator.js"></script>
  </head>

  <body>
    <div id="maincontainer">
      <div class="header">
        <h2>EESTEC Email Signature Generator</h2>
        <p>
          Here you can create and customize your standard EESTEC email
          signature. As BATCAM you should select "EESTEC (international)". If
          you are creating a signature for your role in your branch, select it
          from the entity drop down list. None of your personal information is
          transmitted anywhere.
        </p>
      </div>

      <div class="container">
        <div class="left">
          <h3>Enter your data</h3>
          <form id="form">
            <div class="row">
              <div class="col col-heading">Basics</div>
            </div>
            <div class="row">
              <div class="col col-label">Name:</div>
              <div class="col col-input">
                <input type="text" name="fullname" value="John Doe" />
              </div>
            </div>
            <div class="row">
              <div class="col col-label">Position:</div>
              <div class="col col-input">
                <input type="text" name="position" value="Sample Team Leader" />
              </div>
            </div>
            <div class="row">
              <div class="col col-label">Entity:</div>
              <div class="col col-input">
                <select name="entityname">
                  <option value="EESTEC" selected>
                    EESTEC (international)
                  </option>
                  <option value="EESTEC LC Aachen">LC Aachen</option>
                  <option value="EESTEC JLC Almeria">JLC Almeria</option>
                  <option value="EESTEC LC Ankara">LC Ankara</option>
                  <option value="EESTEC LC Athens">LC Athens</option>
                  <option value="EESTEC LC Aveiro">LC Aveiro</option>
                  <option value="EESTEC LC Banja Luka">LC Banja Luka</option>
                  <option value="EESTEC LC Belgrade">LC Belgrade</option>
                  <option value="EESTEC LC Bucharest">LC Bucharest</option>
                  <option value="EESTEC LC Budapest">LC Budapest</option>
                  <option value="EESTEC JLC Bursa">JLC Bursa</option>
                  <option value="EESTEC LC Cosenza">LC Cosenza</option>
                  <option value="EESTEC LC Craiova">LC Craiova</option>
                  <option value="EESTEC LC Delft">LC Delft</option>
                  <option value="EESTEC LC Duisburg">LC Duisburg</option>
                  <option value="EESTEC LC East Sarajevo">
                    LC East Sarajevo
                  </option>
                  <option value="EESTEC LC Eskisehir">LC Eskisehir</option>
                  <option value="EESTEC LC Gliwice">LC Gliwice</option>
                  <option value="EESTEC LC Hamburg">LC Hamburg</option>
                  <option value="EESTEC LC Istanbul">LC Istanbul</option>
                  <option value="EESTEC LC Izmir">LC Izmir</option>
                  <option value="EESTEC LC Karlsruhe">LC Karlsruhe</option>
                  <option value="EESTEC LC Krakow">LC Krakow</option>
                  <option value="EESTEC AGH Krakow">AGH Krakow</option>
                  <option value="EESTEC LC Lille">LC Lille</option>
                  <option value="EESTEC LC Ljubljana">LC Ljubljana</option>
                  <option value="EESTEC LC Milan">LC Milan</option>
                  <option value="EESTEC LC Madrid">LC Madrid</option>
                  <option value="EESTEC LC Munich">LC Munich</option>
                  <option value="EESTEC LC Nis">LC Nis</option>
                  <option value="EESTEC LC Novi Sad">LC Novi Sad</option>
                  <option value="EESTEC LC Patras">LC Patras</option>
                  <option value="EESTEC LC Podgorica">LC Podgorica</option>
                  <option value="EESTEC LC Porto">LC Porto</option>
                  <option value="EESTEC LC Riga">LC Riga</option>
                  <option value="EESTEC LC Sarajevo">LC Sarajevo</option>
                  <option value="EESTEC LC Skopje">LC Skopje</option>
                  <option value="EESTEC LC St. Petersburg">
                    LC St. Petersburg
                  </option>
                  <option value="EESTEC LC Tampere">LC Tampere</option>
                  <option value="EESTEC LC Thessaloniki">
                    LC Thessaloniki
                  </option>
                  <option value="EESTEC LC Tirana">LC Tirana</option>
                  <option value="EESTEC LC Trieste">LC Trieste</option>
                  <option value="EESTEC LC Tuzla">LC Tuzla</option>
                  <option value="EESTEC LC Xanthi">LC Xanthi</option>
                  <option value="EESTEC LC Zagreb">LC Zagreb</option>
                  <option value="EESTEC LC Zurich">LC Zurich</option>
                  <!-- How to add a new branch: add new entry here and upload the logo acording to the naming pattern. State of AC2020.-->
                </select>
              </div>
            </div>
            <div class="row">
              <div class="col col-heading"></div>
            </div>
            <div class="row">
              <div class="col col-heading">Contact information</div>
            </div>
            <div id="contact-row-container">
              <!-- select and input fieds of the contact info rows are identified by their relative position in this div -->
              <div class="row">
                <div class="col col-label">
                  <select style="width: 100%">
                    <option value="email" selected>Email</option>
                    <option value="phone">Phone</option>
                    <option value="address">Address</option>
                    <option value="skype">Skype</option>

                    <option value="empty">(empty)</option>
                  </select>
                </div>
                <div class="col col-input-x">
                  <input type="text" value="sample-leader@eestec.net" />
                </div>
                <div class="col col-x">
                  <button
                    type="button"
                    class="xbutton"
                    onclick="removeRow(this)"
                  >
                    X
                  </button>
                </div>
              </div>
              <div class="row">
                <div class="col col-label">
                  <select style="width: 100%">
                    <option value="email" selected>Email</option>
                    <option value="phone">Phone</option>
                    <option value="address">Address</option>
                    <option value="skype">Skype</option>
                    <option value="empty">(empty)</option>
                  </select>
                </div>
                <div class="col col-input-x">
                  <input type="text" value="john@doe.xyz" />
                </div>
                <div class="col col-x">
                  <button
                    type="button"
                    class="xbutton"
                    onclick="removeRow(this)"
                  >
                    X
                  </button>
                </div>
              </div>
              <div class="row">
                <div class="col col-label">
                  <select style="width: 100%">
                    <option value="email">Email</option>
                    <option value="phone" selected>Phone</option>
                    <option value="address">Address</option>
                    <option value="skype">Skype</option>
                    <option value="empty">(empty)</option>
                  </select>
                </div>
                <div class="col col-input-x">
                  <input type="text" value="+49 1512 2222222" />
                </div>
                <div class="col col-x">
                  <button
                    type="button"
                    class="xbutton"
                    onclick="removeRow(this)"
                  >
                    X
                  </button>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col col-heading">
                <button type="button" id="addbutton">Add line</button>
              </div>
            </div>
            <div class="row">
              <div class="col col-heading"></div>
            </div>
            <div class="row">
              <div class="col col-heading">Social media & website</div>
            </div>
            <div class="row">
              <div class="col col-label">Web/Logo link:</div>
              <div class="col col-input">
                <input type="text" name="weblink" value="https://eestec.net" />
              </div>
            </div>
            <div class="row">
              <div class="col col-checkbox">
                <input
                  type="checkbox"
                  class="checkbox"
                  name="webtext-checkbox"
                  onchange="checkboxChanged(this)"
                  checked
                />
              </div>
              <div class="col col-label-checkbox">Web text:</div>
              <div class="col col-input">
                <input type="text" name="webtext" value="eestec.net" />
              </div>
            </div>
            <div class="row">
              <div class="col col-checkbox">
                <input
                  type="checkbox"
                  class="checkbox"
                  name="linkedin-checkbox"
                  onchange="checkboxChanged(this)"
                  checked
                />
              </div>
              <div class="col col-label-checkbox">LinkedIn:</div>
              <div class="col col-input">
                <input
                  type="text"
                  name="linkedin"
                  value="https://www.linkedin.com/company/electrical-engineering-students-european-association"
                />
              </div>
            </div>
            <div class="row">
              <div class="col col-checkbox">
                <input
                  type="checkbox"
                  class="checkbox"
                  name="facebook-checkbox"
                  onchange="checkboxChanged(this)"
                  checked
                />
              </div>
              <div class="col col-label-checkbox">Facebook:</div>
              <div class="col col-input">
                <input
                  type="text"
                  name="facebook"
                  value="https://www.facebook.com/EESTEC/"
                />
              </div>
            </div>
            <div class="row">
              <div class="col col-checkbox">
                <input
                  type="checkbox"
                  class="checkbox"
                  name="instagram-checkbox"
                  onchange="checkboxChanged(this)"
                  checked
                />
              </div>
              <div class="col col-label-checkbox">Instagram:</div>
              <div class="col col-input">
                <input
                  type="text"
                  name="instagram"
                  value="https://www.instagram.com/eestec/"
                />
              </div>
            </div>
          </form>
          <div>
            <button style="vertical-align: top" id="updatebutton">
              Update result
            </button>
            <button style="vertical-align: top" id="resetbutton">
              Reset form
            </button>
          </div>
        </div>

        <div class="right">
          <h3>Result</h3>
          <div class="row">
            <div class="col col-heading">Preview</div>
          </div>
          <div class="row">
            <div class="col col-heading"></div>
          </div>
          <div id="iframeresultwrapper">
            <iframe id="iframeresult" src="about:blank"></iframe>
          </div>
          <div class="row">
            <div class="col col-heading"></div>
          </div>
          <div class="row">
            <div class="col col-heading">HTML Code</div>
          </div>
          <div class="row">
            <div class="col col-heading"></div>
          </div>
          <textarea id="htmlresult" readonly></textarea>
          <div class="row">
            <div class="col col-heading"></div>
          </div>
          <div class="row">
            <div class="col col-heading">Export to clipboard</div>
          </div>
          <div>
            <button type="button" style="vertical-align: top" id="htmlbutton">
              Copy HTML code
            </button>
            <button type="button" style="vertical-align: top" id="gmailbutton">
              Copy for Gmail
            </button>
            <button
              type="button"
              style="vertical-align: top"
              id="generatorbutton"
            >
              Copy generator link
            </button>
          </div>
        </div>
      </div>

      <div class="instructions">
        <h3>Insert to your email client</h3>
        <p>
          How to use your new signature? Follow the following instructions for
          your email client below.
        </p>

        <h4>Gmail (in browser)</h4>

        <ol>
          <li>Click on the "Copy for Gmail"-Button in the "Result" section.</li>
          <li>
            Open <a href="https://gmail.com">Gmail</a> and login with the
            desired account.
          </li>
          <li>
            In the top right, click
            <img
              src="https://lh3.googleusercontent.com/iK54sRM8QELKETjD5PyshCuCL_NAhpUYkHhJVIAoY3NAoV3zNncQJvgvylkSZzVsdXJW=w18-h18"
              alt="Settings"
              title="Settings"
              width="18"
              height="18"
            />
            &gt; Settings &gt; "See all settings"
          </li>
          <li>
            In the "General"-Tab, scroll down to the "Signature" section and
            click on the "Create new"-button. Give the signature a name.
          </li>
          <li>
            Click in the textbox and hit CRTL+V (or do a right click &gt;
            "Paste") to paste the signature.
          </li>
          <li>
            Recommended: Choose your signature in the signature defaults, so it
            appears in every new email and replys automatically.
          </li>
          <li>
            Recommended: Check the box that says "Insert this signature
            before..."
          </li>
          <li>Scroll further down and click on the "Save Changes"-button.</li>
          <li>Done!</li>
        </ol>

        <h4>Thunderbird</h4>

        <ol>
          <li>Click on the "Copy HTML code"-Button in the "Result" section.</li>
          <li>Open Thunderbild.</li>
          <li>
            Click Tools > Account Settings, and then, in the left panel, select
            the account for which you want to create a signature. If you have
            added your EESTEC Email as an alias/identity, click "Manage
            Identities..." and select the EESTEC email.
          </li>
          <li>Next to "Signature text" check the box "Use HTML ..."</li>
          <li>
            Click in the textbox and hit CRTL+V (or do a right click &gt;
            "Paste") to paste the signatures HTML code.
          </li>
          <li>
            Recommended: Go to "Composition & Addressing" of your account
            settings. Change the reply style to "Start my reply above the
            quote". Next, change the setting for "and place my signature" to
            "below my reply (above the quote)".
          </li>
          <li>Click on the "OK"-buttons to save the changes.</li>
          <li>
            Done! When you write a new email, your new signature will appear
            automatically.
          </li>
        </ol>

        <h3>Share with your branch</h3>
        <p>
          You can also create a template with prefilled fields for your branch,
          so that not every member has to enter e.g. all your social media
          links. Simply click the "Copy generator link"-button and share it.
        </p>
      </div>

      <div class="footer">
        <div class="row">
          <div class="col col-input" style="margin-top: 0">
            <h3>Questions or Problems?</h3>
            <p>
              Please contact
              <a href="mailto:support@eestec.net">EESTEC Support</a>.
            </p>
          </div>
          <div class="col col-label">
            <img
              src="resources/designteam100.png"
              style="
                height: 80px;
                width: 80px;
                margin-right: 20px;
                margin-top: 0px;
              "
            />
          </div>
        </div>
        <div style="width: 100%; border-top: 2px solid lightgrey"></div>
        <p style="color: grey; font-size: small">Version 1.1; July 2020</p>
      </div>
    </div>

    <!--
    This textarea contains the HTML Code of the template signature with placeholders (it's not displayed).
    -->
    <textarea
      id="htmloriginal"
      style="height: 180px; width: 100%; max-width: 600px; display: none"
      readonly
    >
        <!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
        <html>

        <!--
        EESTEC email signature of %%fullname%%
        Generated: %%timestamp%%
        Version: 1.1

        HTML optimized for consistent rendering across different email clients.
        Don't edit manually, use the generator.
        -->

        <head>
            <title>Email Signature</title>
            <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
            <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap" rel="stylesheet">
            <style type="text/css">
                /* GENERAL STYLE RESETS */
                #bodyTable {
                    margin: 0;
                    padding: 0;
                }

                img,
                a img {
                    border: 0;
                    outline: none;
                    text-decoration: none;
                }

                .imageFix {
                    display: block;
                }

                table,
                td {
                    border-collapse: collapse;
                }

                /* CLIENT-SPECIFIC RESETS */
                .ReadMsgBody {
                    width: 100%;
                }

                .ExternalClass {
                    width: 100%;
                }

                .ExternalClass,
                .ExternalClass p,
                .ExternalClass span,
                .ExternalClass font,
                .ExternalClass td,
                .ExternalClass div {
                    line-height: 100%;
                }

                table,
                td {
                    mso-table-lspace: 0pt;
                    mso-table-rspace: 0pt;
                }

                img {
                    -ms-interpolation-mode: bicubic;
                }

                body,
                table,
                td,
                p,
                a,
                li,
                blockquote {
                    -ms-text-size-adjust: 100%;
                    -webkit-text-size-adjust: 100%;
                }
            </style>
            <!--[if (mso)|(mso 16)]>
            <style type="text/css">
                a {text-decoration: none;}
                body, table, td {font-family: Arial, Helvetica, sans-serif !important; font-size: 11pt !important;}
            </style>
        <![endif]-->
        </head>

        <body style="font-family: Arial, Helvetica, sans-serif; font-size: 11pt; color: #333333; overflow: hidden;">
            <!-- main table (wraps everything, 100% width, 1 row, 1 col) -->
            <table id="bodyTable"
                style="font-family: Arial, Helvetica, sans-serif; font-size: 11pt; color: #333333; width: 100% !important;"
                valign="top" cellspacing="0" cellpadding="0" border="0">
                <tr>
                    <td style="padding: 5px;">
                        <!-- content table (one row, two columns) -->
                        <table
                            style="font-family: 'Roboto', Arial, Helvetica, sans-serif; font-size: 11pt; color: #333333; width: 475px; background-color: #e52a30; margin-bottom: 15px;"
                            cellspacing="0" cellpadding="0" border="0">
                            <tr>
                                <!-- left area (fixed width proportion, minimum height, height as table) -->
                                <td style="text-align: center; background-color: #e52a30; color: #ffffff;
                                width: 38.2%; height: 180px; border: 1px solid #e52a30;" align="center" color="#ffffff"
                                    bgcolor="#e52a30">
                                    <!-- left area table (three rows, one column) -->
                                    <table style="height: 100%; vertical-align: top;" valign="top" cellspacing="0"
                                        cellpadding="0" border="0">
                                        <tr>
                                            <td style="font-size: 25pt; vertical-align: top; text-align: center; color:#ffffff;"
                                                valign="top" align="center" color="#ffffff">
                                                <a href="%%weblink%%" target="_blank" rel="noopener">
                                                    <img alt="" style="width: 100%; border:0; text-align: center;"
                                                        src="%%path%%%%logo%%.png" width="180" border="0">
                                                </a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="font-size: 10pt; padding-bottom: 10px; vertical-align: bottom; text-align: center; color: #ffffff;"
                                                valign="bottom" align="center" color="#ffffff">
                                                <a href="%%weblink%%" target="_blank" rel="noopener"
                                                    style="color: #ffffff !important; text-decoration: none !important;">
                                                    <span
                                                        style="color: #ffffff !important; text-decoration: none !important; font-size: 10pt !important;">
                                                        <font color="#ffffff">
                                                            %%webtext%%
                                                        </font>
                                                    </span>
                                                </a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="height: 35px; vertical-align: top; text-align: center; color: #ffffff;"
                                                height="35" valign="top" align="center" color="#ffffff">
                                                %%socialmedia%%
                                            </td>
                                        </tr>

                                    </table>
                                </td>
                                <!-- right area (fixed width proportion, height depends on content) -->
                                <td style="width: 61.8%; vertical-align: top; padding-left: 20px; padding-top: 15px; padding-bottom: 10px; padding-right: 10px;
                                border-top: 1px solid #b6b6b6; border-bottom: 1px solid #b6b6b6; border-right: 1px solid #b6b6b6; background-color: #ffffff;"
                                    valign="top">
                                    <table cellspacing="0" cellpadding="0" border="0">
                                        <tr>
                                            <td style="font-size: 13pt; font-weight: bold; color:#333333; vertical-align: top; font-family: 'Roboto', Arial, Helvetica, sans-serif;"
                                                valign="top">
                                                <span style="font-size: 13pt !important;">
                                                    %%fullname%%
                                                </span>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="vertical-align: top; padding-bottom: 10px; padding-top: 10px;"
                                                valign="top">
                                                %%position%% <br>
                                                %%entityname%%
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="vertical-align: top;" valign="top">
                                                <table cellspacing="0" cellpadding="0">
                                                    %%contactrows%%
                                                </table>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </body>
        </html>
    </textarea>
  </body>
</html>
